List adjustments | Moov Documentation

List adjustments

List adjustments associated with a Moov account.

To access this endpoint using an access token you'll need to specify the /accounts/{accountID}/wallets.read scope.

GET

/accounts/{accountID}/adjustments

Ask

curl -X GET "https://api.moov.io/accounts/{accountID}/adjustments" \
  -H "Authorization: Bearer {token}" \
  -H "X-Moov-Version: v2026.04.00"

Ask

import { Moov } from "@moovio/sdk";

const moov = new Moov({
  security: {
    username: "",
    password: "",
  },
});

async function run() {
  const result = await moov.adjustments.list({
    accountID: "c054f3a6-d542-4310-a955-830739f800f0",
  });

console.log(result);
}

run();

Ask

declare(strict_types=1);

require 'vendor/autoload.php';

use Moov\MoovPhp;
use Moov\MoovPhp\Models\Components;

$sdk = MoovPhp\Moov::builder()
    ->setSecurity(
        new Components\Security(
            username: '',
            password: '',
        )
    )
    ->build();

$response = $sdk->adjustments->list(
    accountID: 'c054f3a6-d542-4310-a955-830739f800f0'
);

if ($response->adjustments !== null) {
    // handle response
}

Ask

package hello.world;

import io.moov.sdk.Moov;
import io.moov.sdk.models.components.Security;
import io.moov.sdk.models.operations.ListAdjustmentsResponse;
import java.lang.Exception;

public class Application {

public static void main(String[] args) throws Exception {

Moov sdk = Moov.builder()
                .security(Security.builder()
                    .username("")
                    .password("")
                    .build())
            .build();

ListAdjustmentsResponse res = sdk.adjustments().list()
                .accountID("c054f3a6-d542-4310-a955-830739f800f0")
                .call();

if (res.adjustments().isPresent()) {
            System.out.println(res.adjustments().get());
        }
    }
}

Ask

from moovio_sdk import Moov
from moovio_sdk.models import components

with Moov(
    security=components.Security(
        username="",
        password="",
    ),
) as moov:

res = moov.adjustments.list(account_id="c054f3a6-d542-4310-a955-830739f800f0")

# Handle response
    print(res)

Ask

require 'moov_ruby'

Models = ::Moov::Models
s = ::Moov::Client.new(
  security: Models::Components::Security.new(
    username: '',
    password: ''
  )
)
res = s.adjustments.list(account_id: 'c054f3a6-d542-4310-a955-830739f800f0')

unless res.adjustments.nil?
  # handle response
end

Ask

using Moov.Sdk;
using Moov.Sdk.Models.Components;

var sdk = new MoovClient(security: new Security() {
    Username = "",
    Password = "",
});

var res = await sdk.Adjustments.ListAsync(accountID: "c054f3a6-d542-4310-a955-830739f800f0");

// handle response

The request completed successfully.

Example

[
  {
    "adjustmentID": "string",
    "walletID": "string",
    "amount": {
      "currency": "USD",
      "valueDecimal": "12.987654321"
    },
    "createdOn": "2019-08-24T14:15:22Z"
  }
]

Response headers

A unique identifier used to trace requests.

The request contained missing or expired authentication.

Response headers

A unique identifier used to trace requests.

The user is not authorized to make the request.

Response headers

A unique identifier used to trace requests.

Request was refused due to rate limiting.

Response headers

A unique identifier used to trace requests.

The request failed due to an unexpected error.

Response headers

A unique identifier used to trace requests.

The request failed because a downstream service failed to respond.

Response headers

A unique identifier used to trace requests.

Set this header to v2026.04.00 to use the API described in this specification. When omitted, the server defaults to v2024.01.00, which may not match the behavior documented here.

Possible values:

v2026.04.00

A wallet ID to filter adjustments by.

Show child attributes

A 3-letter ISO 4217 currency code.

A decimal-formatted numerical string that represents up to 9 decimal place precision.

For example, $12.987654321 is '12.987654321'.